Nutzer

Nutzer per ID abrufen

GET /v1/users/by-id/{user_id} reads 1 Guthaben

Das Profil eines Kontos, nachgeschlagen über seine numerische ID – für den Fall, dass Sie eine ID statt eines Handles haben.

Antwort

Das Profil unter user, mit id als Zeichenkette. Eine nicht-numerische ID ergibt 422.

Status: 200, 404, 422, 429, 502

Anfrage
curl https://api.xsignalfeed.com/v1/users/by-id/44196397 \
  -H "Authorization: Bearer xsf_your_key"
Antwort · 200 / 404
{
  "user": {
    "id": "44196397",
    "name": "Elon Musk",
    "screen_name": "elonmusk",
    "bio": "…",
    "location": null,
    "url": "",
    "avatar": "https://pbs.twimg.com/profile_images/…",
    "banner": "https://pbs.twimg.com/profile_banners/44196397/…",
    "pinned": "2099875660290228642",
    "verified": true,
    "protected": false,
    "followers": 241629139,
    "following": 1406,
    "tweets": 108648
  }
}